Bug 169770 - [patch] audio/alsa-lib: make async handler work (from pkgsrc)
[patch] audio/alsa-lib: make async handler work (from pkgsrc)
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Florian Smeets
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 18:40 UTC by Jan Beich
Modified: 2012-10-04 18:10 UTC (History)
0 users

See Also:


Attachments
async.diff (1.29 KB, patch)
2012-07-10 18:40 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2012-07-10 18:40:11 UTC

    
Comment 1 Edwin Groothuis freebsd_committer 2012-07-10 18:40:20 UTC
Maintainer of audio/alsa-lib,

Please note that PR ports/169770 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/169770

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-07-10 18:40:21 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Aragon Gouveia 2012-09-29 19:53:26 UTC
Hi.  Just a note to ask for this PR to be closed as ports/171601 
incorporates this patch and other fixes.

Thanks for taking this on, Florian!
Comment 4 Florian Smeets freebsd_committer 2012-09-29 20:13:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->flo

Thake all these as i'll take care of ports/171601 shortly.
Comment 5 dfilter freebsd_committer 2012-10-04 18:04:55 UTC
Author: flo
Date: Thu Oct  4 17:04:44 2012
New Revision: 305269
URL: http://svn.freebsd.org/changeset/ports/305269

Log:
  - update to 1.0.26 [1]
  - use newly added alphasort() instead of LGPLv2.1+ patch
  - fix async handler [2]
  - fix implicit declarations of calloc/free [3]
  - disable ARIFF_OSS option by default, except 7.x [4]
  - add 3 more mirrors from alsa wiki + gentoo as a backup
  - move alsa mirrors to bsd.sites.mk
  
  Changes:	http://www.alsa-project.org/main/index.php/Changes_v1.0.25_v1.0.26
  PR:		ports/171601 [1]
  PR:		ports/169770 [2]
  PR:		ports/170457 [3]
  PR:		ports/170473 [4]
  Obtained from:	PkgSrc [2]
  Submitted by:	Jan Beich <jbeich@tormail.org>
  Approved by:	maintainer

Deleted:
  head/audio/alsa-lib/files/patch-versionsort
  head/audio/alsa-plugins/files/alsa-plugins-getiptrfix.patch
Modified:
  head/Mk/bsd.sites.mk
  head/audio/alsa-lib/Makefile
  head/audio/alsa-lib/distinfo   (contents, props changed)
  head/audio/alsa-lib/files/patch-alsa-lib   (contents, props changed)
  head/audio/alsa-lib/pkg-plist   (contents, props changed)
  head/audio/alsa-plugins/Makefile
  head/audio/alsa-plugins/distinfo   (contents, props changed)
  head/audio/alsa-plugins/files/patch-usb_stream-pcm_usb_stream.c   (contents, props changed)
  head/audio/alsa-utils/Makefile
  head/audio/alsa-utils/distinfo   (contents, props changed)
  head/audio/alsa-utils/pkg-plist   (contents, props changed)

Modified: head/Mk/bsd.sites.mk
==============================================================================
--- head/Mk/bsd.sites.mk	Thu Oct  4 16:57:49 2012	(r305268)
+++ head/Mk/bsd.sites.mk	Thu Oct  4 17:04:44 2012	(r305269)
@@ -51,6 +51,17 @@ MASTER_SITE_AFTERSTEP+= \
 	ftp://ftp.dti.ad.jp/pub/X/AfterStep/%SUBDIR%/
 .endif
 
+.if !defined(IGNORE_MASTER_SITE_ALSA)
+MASTER_SITE_ALSA+= \
+	ftp://ftp.silug.org/pub/alsa/%SUBDIR%/ \
+	ftp://ftp.task.gda.pl/pub/linux/misc/alsa/%SUBDIR%/ \
+	ftp://gd.tuwien.ac.at/opsys/linux/alsa/%SUBDIR%/ \
+	http://dl.ambiweb.de/mirrors/ftp.alsa-project.org/%SUBDIR%/ \
+	http://mirrors.zerg.biz/alsa/%SUBDIR%/ \
+	http://alsa.cybermirror.org/%SUBDIR%/ \
+	ftp://ftp.alsa-project.org/pub/%SUBDIR%/
+.endif
+
 .if !defined(IGNORE_MASTER_SITE_APACHE)
 MASTER_SITE_APACHE+= \
 	http://www.apache.org/dist/%SUBDIR%/ \

Modified: head/audio/alsa-lib/Makefile
==============================================================================
--- head/audio/alsa-lib/Makefile	Thu Oct  4 16:57:49 2012	(r305268)
+++ head/audio/alsa-lib/Makefile	Thu Oct  4 17:04:44 2012	(r305269)
@@ -6,12 +6,10 @@
 #
 
 PORTNAME=	alsa-lib
-PORTVERSION=	1.0.25
+PORTVERSION=	1.0.26
 CATEGORIES=	audio
-MASTER_SITES=	ftp://ftp.silug.org/pub/alsa/lib/ \
-		ftp://gd.tuwien.ac.at/opsys/linux/alsa/lib/ \
-		http://dl.ambiweb.de/mirrors/ftp.alsa-project.org/lib/ \
-		ftp://ftp.alsa-project.org/pub/lib/
+MASTER_SITES=	ALSA/lib \
+		GENTOO/distfiles
 
 MAINTAINER=	aragon@phat.za.net
 COMMENT=	ALSA compatibility library
@@ -24,6 +22,7 @@ CONFIGURE_ARGS+=--disable-aload --disabl
 
 post-patch:	.SILENT
 	${REINPLACE_CMD} -e '/LIBS/ { s/-ldl//g; s/-lrt//g; }' \
+		-e '/-D_GNU_SOURCE/d' \
 		-e '/lt_cv_dlopen/s/-ldl//g' ${WRKSRC}/configure
 	${REINPLACE_CMD} '/LIBADD/s/-ldl//g' \
 		${WRKSRC}/modules/mixer/simple/Makefile.in

Modified: head/audio/alsa-lib/distinfo
==============================================================================
--- head/audio/alsa-lib/distinfo	Thu Oct  4 16:57:49 2012	(r305268)
+++ head/audio/alsa-lib/distinfo	Thu Oct  4 17:04:44 2012	(r305269)
@@ -1,2 +1,2 @@
-SHA256 (alsa-lib-1.0.25.tar.bz2) = 5a1a805cf04106316d549ec650116ce6711a162e107ba8b3c551866680e286e6
-SIZE (alsa-lib-1.0.25.tar.bz2) = 838403
+SHA256 (alsa-lib-1.0.26.tar.bz2) = 8c9f8161603cc3db640619650401292c3e110da63429ab6938aac763319f6e7d
+SIZE (alsa-lib-1.0.26.tar.bz2) = 883076

Modified: head/audio/alsa-lib/files/patch-alsa-lib
==============================================================================
--- head/audio/alsa-lib/files/patch-alsa-lib	Thu Oct  4 16:57:49 2012	(r305268)
+++ head/audio/alsa-lib/files/patch-alsa-lib	Thu Oct  4 17:04:44 2012	(r305269)
@@ -154,13 +154,23 @@
  #if __BYTE_ORDER == __LITTLE_ENDIAN
  #define __cpu_to_le32(x) (x)
  #define __cpu_to_be32(x) bswap_32(x)
---- src/async.c.orig	2009-09-09 20:34:54.000000000 +0800
-+++ src/async.c	2009-09-15 00:49:34.000000000 +0800
-@@ -51,6 +51,7 @@
+$NetBSD: patch-bk,v 1.1 2008/12/25 13:18:00 hasso Exp $
+
+--- src/async.c.orig	2008-12-25 08:18:22 +0200
++++ src/async.c	2008-12-25 08:20:39 +0200
+@@ -51,6 +51,15 @@ static LIST_HEAD(snd_async_handlers);
  
  static void snd_async_handler(int signo ATTRIBUTE_UNUSED, siginfo_t *siginfo, void *context ATTRIBUTE_UNUSED)
  {
-+#ifndef __FreeBSD__
++#if defined(__DragonFly__) || defined(__FreeBSD__)
++	/* XXX XXX XXX */
++	struct list_head *i;
++	list_for_each(i, &snd_async_handlers) {
++		snd_async_handler_t *h = list_entry(i, snd_async_handler_t, glist);
++		if (h->callback)
++			h->callback(h);
++	}
++#else
  	int fd;
  	struct list_head *i;
  	//assert(siginfo->si_code == SI_SIGIO);
@@ -174,12 +184,14 @@
  /**
 --- src/compat/hsearch_r.c.orig	2009-09-09 20:34:54.000000000 +0800
 +++ src/compat/hsearch_r.c	2009-09-15 00:22:11.000000000 +0800
-@@ -18,7 +18,9 @@
+@@ -18,7 +18,11 @@
     Boston, MA 02111-1307, USA.  */
  
  #include <errno.h>
-+#ifndef __FreeBSD__
++#ifdef __GLIBC__
  #include <malloc.h>
++#else
++#include <stdlib.h>
 +#endif
  #include <string.h>
  
@@ -448,12 +460,14 @@
  #ifndef DOC_HIDDEN
 --- src/shmarea.c.orig	2009-09-09 20:34:54.000000000 +0800
 +++ src/shmarea.c	2009-09-15 00:22:00.000000000 +0800
-@@ -19,7 +19,9 @@
+@@ -19,7 +19,11 @@
   */
    
  #include <stdio.h>
-+#ifndef __FreeBSD__
++#ifdef __GLIBC__
  #include <malloc.h>
++#else
++#include <stdlib.h>
 +#endif
  #include <string.h>
  #include <errno.h>

Modified: head/audio/alsa-lib/pkg-plist
==============================================================================
--- head/audio/alsa-lib/pkg-plist	Thu Oct  4 16:57:49 2012	(r305268)
+++ head/audio/alsa-lib/pkg-plist	Thu Oct  4 17:04:44 2012	(r305269)
@@ -72,6 +72,7 @@ share/alsa/cards/EMU10K1X.conf
 share/alsa/cards/ENS1370.conf
 share/alsa/cards/ENS1371.conf
 share/alsa/cards/ES1968.conf
+share/alsa/cards/Echo_Echo3G.conf
 share/alsa/cards/FM801.conf
 share/alsa/cards/FWSpeakers.conf
 share/alsa/cards/FireWave.conf

Modified: head/audio/alsa-plugins/Makefile
==============================================================================
--- head/audio/alsa-plugins/Makefile	Thu Oct  4 16:57:49 2012	(r305268)
+++ head/audio/alsa-plugins/Makefile	Thu Oct  4 17:04:44 2012	(r305269)
@@ -6,12 +6,10 @@
 #
 
 PORTNAME=	alsa-plugins
-PORTVERSION=	1.0.25
+PORTVERSION=	1.0.26
 CATEGORIES=	audio
-MASTER_SITES=	ftp://ftp.silug.org/pub/alsa/plugins/ \
-		ftp://gd.tuwien.ac.at/opsys/linux/alsa/plugins/ \
-		http://dl.ambiweb.de/mirrors/ftp.alsa-project.org/plugins/ \
-		ftp://ftp.alsa-project.org/pub/plugins/
+MASTER_SITES=	ALSA/plugins \
+		GENTOO/distfiles
 
 MAINTAINER=	aragon@phat.za.net
 COMMENT=	ALSA compatibility library plugins
@@ -25,12 +23,11 @@ LDFLAGS+=	-L${LOCALBASE}/lib
 USE_LDCONFIG=	${PREFIX}/lib/alsa-lib
 
 OPTIONS_DEFINE=	ARIFF_OSS JACK FFMPEG PULSEAUDIO SAMPLERATE SPEEX
-OPTIONS_DEFAULT=ARIFF_OSS
 ARIFF_OSS_DESC=	FreeBSD-specific OSS plugin
 
 .include <bsd.port.options.mk>
 
-.if ${PORT_OPTIONS:MARIFF_OSS}
+.if ${PORT_OPTIONS:MARIFF_OSS} || ${OSVERSION} < 800097
 EXTRA_PATCHES+=	${FILESDIR}/alsa-plugins.patch
 .endif
 

Modified: head/audio/alsa-plugins/distinfo
==============================================================================
--- head/audio/alsa-plugins/distinfo	Thu Oct  4 16:57:49 2012	(r305268)
+++ head/audio/alsa-plugins/distinfo	Thu Oct  4 17:04:44 2012	(r305269)
@@ -1,2 +1,2 @@
-SHA256 (alsa-plugins-1.0.25.tar.bz2) = a0e374fd6d5ee9683473a5b6e73dadde61d54851065ed670d6627d344b565aab
-SIZE (alsa-plugins-1.0.25.tar.bz2) = 331568
+SHA256 (alsa-plugins-1.0.26.tar.bz2) = 03515134d2009db4dfb2769e0ab0e1fb517c8140ffdfd64a984be968e81c9f1f
+SIZE (alsa-plugins-1.0.26.tar.bz2) = 361017

Modified: head/audio/alsa-plugins/files/patch-usb_stream-pcm_usb_stream.c
==============================================================================
--- head/audio/alsa-plugins/files/patch-usb_stream-pcm_usb_stream.c	Thu Oct  4 16:57:49 2012	(r305268)
+++ head/audio/alsa-plugins/files/patch-usb_stream-pcm_usb_stream.c	Thu Oct  4 17:04:44 2012	(r305269)
@@ -2,16 +2,16 @@ based on https://github.com/dankamongmen
 
 --- usb_stream/pcm_usb_stream.c.orig
 +++ usb_stream/pcm_usb_stream.c
-@@ -18,7 +18,9 @@
-  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
+@@ -19,7 +19,9 @@
   */
  
+ #define _GNU_SOURCE
 +#ifndef __FreeBSD__
  #include <byteswap.h>
 +#endif
- #define _GNU_SOURCE
  #include <sys/mman.h>
  #include <sys/shm.h>
+ #include <sys/ioctl.h>
 @@ -79,6 +81,69 @@ typedef struct {
  static struct user_usb_stream *uus;
  static pthread_mutex_t uus_mutex = PTHREAD_MUTEX_INITIALIZER;

Modified: head/audio/alsa-utils/Makefile
==============================================================================
--- head/audio/alsa-utils/Makefile	Thu Oct  4 16:57:49 2012	(r305268)
+++ head/audio/alsa-utils/Makefile	Thu Oct  4 17:04:44 2012	(r305269)
@@ -6,12 +6,10 @@
 #
 
 PORTNAME=	alsa-utils
-PORTVERSION=	1.0.25
+PORTVERSION=	1.0.26
 CATEGORIES=	audio
-MASTER_SITES=	ftp://ftp.silug.org/pub/alsa/utils/ \
-		ftp://gd.tuwien.ac.at/opsys/linux/alsa/utils/ \
-		http://dl.ambiweb.de/mirrors/ftp.alsa-project.org/utils/ \
-		ftp://ftp.alsa-project.org/pub/utils/
+MASTER_SITES=	ALSA/utils \
+		GENTOO/distfiles
 
 MAINTAINER=	aragon@phat.za.net
 COMMENT=	ALSA compatibility utils
@@ -62,7 +60,5 @@ post-patch:	.SILENT
 		'.*\.([[:digit:]]|spec\.in|csv|xml)' -exec \
 		${REINPLACE_CMD} -e 's|/usr/share|${PREFIX}/share|g' \
 		-e 's|/etc/asound\.conf|${LOCALBASE}&|g' {} +
-	${REINPLACE_CMD} 's|/etc/asound\.state|${PREFIX}&|g' \
-		${WRKSRC}/alsactl/alsactl.[1c]
 
 .include <bsd.port.mk>

Modified: head/audio/alsa-utils/distinfo
==============================================================================
--- head/audio/alsa-utils/distinfo	Thu Oct  4 16:57:49 2012	(r305268)
+++ head/audio/alsa-utils/distinfo	Thu Oct  4 17:04:44 2012	(r305269)
@@ -1,2 +1,2 @@
-SHA256 (alsa-utils-1.0.25.tar.bz2) = 2e676a2f634bbfe279b260e10a96f617cb72ee63c5bbf6c5f96bb615705b302c
-SIZE (alsa-utils-1.0.25.tar.bz2) = 1132780
+SHA256 (alsa-utils-1.0.26.tar.bz2) = f85f2a3aa6e78475bbe35b0cad3a8cabb99f45ebc5f37962f2137b8df8b081e7
+SIZE (alsa-utils-1.0.26.tar.bz2) = 1134474

Modified: head/audio/alsa-utils/pkg-plist
==============================================================================
--- head/audio/alsa-utils/pkg-plist	Thu Oct  4 16:57:49 2012	(r305268)
+++ head/audio/alsa-utils/pkg-plist	Thu Oct  4 17:04:44 2012	(r305269)
@@ -42,3 +42,5 @@ share/sounds/alsa/Side_Right.wav
 @dirrmtry share/alsa/speaker-test
 @dirrmtry share/alsa/init
 @dirrmtry share/alsa
+@cwd /var
+@dirrmtry lib/alsa
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Florian Smeets freebsd_committer 2012-10-04 18:05:56 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!